//+------------------------------------------------------------------+
//|                                               ex_Signal_OpOr.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://bluedream.ucoz.ru/ |
//+------------------------------------------------------------------+
//|        
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, valenok2003@mail.ru"
#property link      "http://bluedream.ucoz.ru/"

#define NAME_EXPERT "ex_Signal_OpOr"
#define VER "V1"                                     
#define RELIZE "GS_2011_15_06"                        
#define AUTOR "valenok2003@mail.ru"
#define URL "http://bluedream.ucoz.ru"

extern int
   Signals = 3;
int 
   Cnt,
   Fix_Cnt,
   Cnt_Signals;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{  Cnt = 0;
   Cnt_Signals = Signals;
//----
   for(int _i=OrdersTotal(); _i>=0; _i--) 
   {  OrderSelect(_i, SELECT_BY_POS, MODE_TRADES);
      if(OrderSymbol() == Symbol() && (OrderType()==OP_BUY || OrderType()==OP_SELL)) 
      {  Cnt++;
      }
   } 
   Fix_Cnt = Cnt;
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
//----
   Cnt = 0;
   for(int _i=OrdersTotal(); _i>=0; _i--) 
   {  OrderSelect(_i, SELECT_BY_POS, MODE_TRADES);
      if(OrderSymbol() == Symbol() && (OrderType()==OP_BUY || OrderType()==OP_SELL)) 
      {  Cnt++;
      }
   } 
   if(Cnt > Fix_Cnt) 
   {  PlaySound("alert.wav");
      Cnt_Signals--;
   }
   if(Cnt_Signals<=0)init();
   Comment("Signals "+Cnt_Signals);
//----
   return(0);
}
//+------------------------------------------------------------------+